Last Comment Bug 673049 - Forwarding an .eml message causes message compose error
: Forwarding an .eml message causes message compose error
Status: RESOLVED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: 5.0
: All Other
: -- normal (vote)
: Thunderbird 8.0
Assigned To: Jim Porter (:squib)
:
:
Mentors:
: 674178 674495 (view as bug list)
Depends on:
Blocks: 269826 583587
  Show dependency treegraph
 
Reported: 2011-07-20 23:24 PDT by davepenfold
Modified: 2012-12-18 23:27 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Fix this (603 bytes, patch)
2011-07-21 01:17 PDT, Jim Porter (:squib)
no flags Details | Diff | Splinter Review
Fix this (again) (351 bytes, patch)
2011-07-21 01:23 PDT, Jim Porter (:squib)
jonathan.protzenko: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description davepenfold 2011-07-20 23:24:10 PDT
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:5.0.1) Gecko/20100101 Firefox/5.0.1
Build ID: 20110707182747

Steps to reproduce:

Save a message to .eml format
Open .eml message in TB (opens in new window)
Click on Forward



Actual results:

First attempt, compose window opens with blank subject line
On second attempt, error: An error occurred while creating a message compose window. Please try again.



Expected results:

Compose window should open as normal without error so email can be forwarded
Comment 1 Ludovic Hirlimann [:Usul] 2011-07-20 23:51:17 PDT
Does this happens in -safe-mode (see http://support.mozillamessaging.com/en-US/kb/Safe-Mode) ?
Comment 2 davepenfold 2011-07-21 00:30:50 PDT
Yes same issue in safe mode
Comment 3 Jim Porter (:squib) 2011-07-21 00:39:59 PDT
Confirmed on nightly. I'm in the process of narrowing down where this is happening...
Comment 4 Jim Porter (:squib) 2011-07-21 01:08:24 PDT
Fallout from bug 583587, which adds references to forwarded messages, but this breaks for .emls because we can't get an nsIMsgDBHdr for them.
Comment 5 Jim Porter (:squib) 2011-07-21 01:17:18 PDT
Created attachment 547338 [details] [diff] [review]
Fix this

Here's a quick one-line patch to fix this. No tests, since it's just one line (though I keep thinking when my patch queue isn't full to bursting that I should write some more tests for .emls).
Comment 6 Jim Porter (:squib) 2011-07-21 01:23:38 PDT
Created attachment 547339 [details] [diff] [review]
Fix this (again)

Sorry, *this* is a one-line fix. (The previous patch had an extra blank line that snuck in.)
Comment 7 Jonathan Protzenko [:protz] 2011-07-21 04:41:28 PDT
Comment on attachment 547339 [details] [diff] [review]
Fix this (again)

Looks like the right to do. Thanks for fixing this so quickly.
Comment 8 Jim Porter (:squib) 2011-07-21 19:51:57 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/bfee0c972a27
Comment 9 Jim Porter (:squib) 2011-07-21 19:53:01 PDT
Comment on attachment 547339 [details] [diff] [review]
Fix this (again)

Asking for approval on branches. This is extremely low-risk, and high-gain for anyone who uses .eml files regularly.
Comment 10 Jim Porter (:squib) 2011-07-26 01:17:16 PDT
*** Bug 674178 has been marked as a duplicate of this bug. ***
Comment 11 Jim Porter (:squib) 2011-07-27 12:22:33 PDT
*** Bug 674495 has been marked as a duplicate of this bug. ***
Comment 13 Justin Wood (:Callek) 2011-08-03 23:39:38 PDT
Odd, this bug looks entirely mailnews core, yet my test on SeaMonkey 2.2 (roughly == to miramar) appears to be fine.

Note You need to log in before you can comment on or make changes to this bug.